import "@farcaster/auth-kit/styles.css";
import React from "react";
import { Canvas } from "@canvas-js/core";
import { UseSignInData } from "@farcaster/auth-kit";
export interface ConnectSIWFConfig {
    buttonStyles?: React.CSSProperties;
    buttonTextStyles?: React.CSSProperties;
    errorStyles?: React.CSSProperties;
    errorTextStyes?: React.CSSProperties;
    buttonClassName?: string;
    errorClassName?: string;
    containerClassName?: string;
    containerStyles?: React.CSSProperties;
}
export declare const useSIWF: (app?: Canvas<any>, config?: ConnectSIWFConfig) => {
    ConnectSIWF: () => React.JSX.Element;
    address: string | null;
    error: Error | null;
    farcasterIsAuthenticated: boolean;
    canvasIsAuthenticated: boolean;
    profile: {
        fid: number | undefined;
        displayName: string | undefined;
        custody: `0x${string}` | undefined;
    };
    signOut: () => void;
    frameSignIn: () => Promise<void>;
    browserSignIn: (result: UseSignInData) => Promise<void>;
    isInitialized: boolean;
};
